## shotwell 0.15.0

=== Makefile ===
PROGRAM = shotwell
PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
PROGRAM_MIGRATOR = shotwell-settings-migrator

VERSION = 0.15.0
GITVER := $(shell git log -n 1 2>/dev/null | head -n 1 | awk '{print $$2}')
GETTEXT_PACKAGE = $(PROGRAM)
BUILD_ROOT = 1

ifndef VALAC
VALAC := $(shell which valac)
else
VALAC := $(shell which $VALAC)
endif

VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
MIN_VALAC_VERSION := 0.20.1
INSTALL_PROGRAM := install
INSTALL_DATA := install -m 644

export MIN_GLIB_VERSION=2.30.0

# defaults that may be overridden by configure.mk
PREFIX=/usr/local
BUILD_RELEASE=1
LIB=lib

-include configure.mk
ifndef LIBEXECDIR
LIBEXECDIR=$(PREFIX)/libexec/shotwell
endif

CORE_SUPPORTED_LANGUAGES= ia hi te fr de it es pl et sv sk lv pt bg bn nl da zh_CN \
    el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR \
    eu he mk ta vi or km af as gu kn ml mr af_ZA bn_IN id_ID ky nn_NO ta_IN te_IN tr_TR

EXTRAS_SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk \
    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta eo or hi \
    as kn ml mr bn_IN gu id_ID nn_NO tr_TR vi
    

LOCAL_LANG_DIR=locale-langpack
SYSTEM_LANG_DIR := $(DESTDIR)$(PREFIX)/share/locale

VALAFLAGS := -g --enable-checking --target-glib=2.32 --thread --fatal-warnings --enable-experimental --enable-deprecated $(USER_VALAFLAGS)
ifdef UNITY_SUPPORT
VALAFLAGS := $(VALAFLAGS) --define UNITY_SUPPORT
endif

ifdef WITH_GPHOTO_25
VALAFLAGS := $(VALAFLAGS) --define WITH_GPHOTO_25
endif

DEFINES := _PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
	_LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"' _LIB='"${LIB}"' _LIBEXECDIR='"$(LIBEXECDIR)"'

ifdef GITVER
DEFINES := $(DEFINES) _GIT_VERSION='"$(GITVER)"'
VALAFLAGS := $(VALAFLAGS) --define=_GITVERSION
endif

EXPORT_FLAGS = -export-dynamic

include units.mk
include plugins/plugins.mk

UNUNITIZED_SRC_FILES = \
	main.vala \
	AppWindow.vala \
	CollectionPage.vala \
	Thumbnail.vala \
	ThumbnailCache.vala \
	CheckerboardLayout.vala \
	PhotoPage.vala \
	Page.vala \
	SortedList.vala \
	Dimensions.vala \
	Box.vala \
	Photo.vala \
	Orientation.vala \
	BatchImport.vala \
	Dialogs.vala \
	Resources.vala \
	Debug.vala \
	ColorTransformation.vala \
	Properties.vala \
	CustomComponents.vala \
	Event.vala \
	International.vala \
	AppDirs.vala \
	PixbufCache.vala \
	CommandManager.vala \
	Commands.vala \
	SlideshowPage.vala \
	LibraryFiles.vala \
	Printing.vala \
	Tag.vala \
	Screensaver.vala \
	Exporter.vala \
	DirectoryMonitor.vala \
	LibraryMonitor.vala \
	VideoSupport.vala \
	Tombstone.vala \
	MetadataWriter.vala \
	Application.vala \
	TimedQueue.vala \
	MediaPage.vala \
	MediaDataRepresentation.vala \
	DesktopIntegration.vala \
	MediaInterfaces.vala \
	MediaMetadata.vala \
	VideoMetadata.vala \
	MediaMonitor.vala \
	PhotoMonitor.vala \
	VideoMonitor.vala \
	SearchFilter.vala \
	MediaViewTracker.vala \
	UnityProgressBar.vala \
	Upgrades.vala 

THUMBNAILER_SRC_FILES = \
	shotwell-video-thumbnailer.vala

VAPI_FILES = \
	ExtendedPosix.vapi \
	LConv.vapi \
	libexif.vapi \
	libraw.vapi \
	webkitgtk-3.0.vapi \
	unique-3.0.vapi \
	unity.vapi

DEPS_FILES = \
	webkitgtk-3.0.deps \
	unique-3.0.deps \
	unity.deps

ifdef WITH_GPHOTO_25
GPHOTO_VAPI_FILE = vapi/gphoto-2.5/libgphoto2.vapi
else
GPHOTO_VAPI_FILE = vapi/gphoto-2.4/libgphoto2.vapi
endif

RESOURCE_FILES = \
	collection.ui \
	direct.ui \
	direct_context.ui \
	events_directory.ui \
	event.ui \
	fullscreen.ui \
	import_queue.ui \
	import.ui \
	media.ui \
	offline.ui \
	photo.ui \
	photo_context.ui \
	savedsearch.ui \
	search_bar.ui \
	search_sidebar_context.ui \
	set_background_dialog.glade \
	shotwell.glade \
	shotwell.xml \
	sidebar_default_context.ui \
	tag_sidebar_context.ui \
	tags.ui \
	top.ui \
	trash.ui 

SYS_INTEGRATION_FILES = \
	shotwell.appdata.xml \
	shotwell.desktop.head \
	shotwell-viewer.desktop.head \
	org.yorba.shotwell.gschema.xml \
	org.yorba.shotwell-extras.gschema.xml \
	shotwell.convert

SCHEMA_FILES := $(shell ls misc/*.gschema.xml)

SRC_HEADER_FILES = \
	gphoto.h

TEXT_FILES = \
	AUTHORS \
	COPYING \
	INSTALL \
	MAINTAINERS \
	NEWS \
	README \
	THANKS

ICON_FILES = \
	all-rejected.png \
	crop-pivot-reticle.png \
	crop.svg \
	drag_nub.png \
	enhance.png \
	five-star-filter.svg \
	five-stars.svg \
	flag-page.png \
	flag-trinket.png \
	four-star-filter-plus.svg \
	four-stars.svg \
	image-adjust.svg \
	import-all.png \
	import.svg \
	make-primary.svg \
	merge.svg \
	multiple-events.png \
	multiple-tags.png \
	no-event.png \
	noninterpretable-video.png \
	one-event.png \
	one-star-filter-plus.svg \
	one-star.svg \
	one-tag.png \
	pin-toolbar.svg \
	publish.png \
	redeye.png \
	rejected.svg \
	shotwell-16.svg \
	shotwell-24.svg \
	shotwell.ico \
	shotwell-street.jpg \
	shotwell.svg \
	sprocket.png \
	straighten.svg \
	three-star-filter-plus.svg \
	three-stars.svg \
	two-star-filter-plus.svg \
	two-stars.svg \
	videos-page.png \
	zoom-in.png \
	zoom-out.png \
	slideshow-extension-point.png \
	generic-plugin.png \
	filter-raw.png \
	filter-photos.png \
	filter-videos.png \
	filter-flagged.png

HELP_FILES = \
	edit-adjustments.page \
	edit-crop.page \
	edit-enhance.page \
	edit-external.page \
	edit-nondestructive.page \
	edit-redeye.page \
	edit-rotate.page \
	edit-straighten.page \
	edit-time-date.page \
	edit-undo.page \
	formats.page \
	import-camera.page \
	import-file.page \
	import-f-spot.page \
	import-memorycard.page \
	index.page \
	organize-event.page \
	organize-flag.page \
	organize-rating.page \
	organize-remove.page \
	organize-search.page \
	organize-tag.page \
	organize-title.page \
	other-files.page \
	other-missing.page \
	other-multiple.page \
	other-plugins.page \
	raw.page \
	running.page \
	share-background.page \
	share-export.page \
	share-print.page \
	share-send.page \
	share-slideshow.page \
	share-upload.page \
	view-displaying.page \
	view-information.page \
	view-sidebar.page

HELP_IMAGES = \
	crop_thirds.jpg \
	editing_overview.png \
	edit_toolbar.png \
	shotwell_logo.png \
	trash_process.png

VAPI_DIRS = \
	./vapi

ifdef WITH_GPHOTO_25
VAPI_DIRS += ./vapi/gphoto-2.5
else
VAPI_DIRS += ./vapi/gphoto-2.4
endif


HEADER_DIRS = \
	./vapi

LOCAL_PKGS = \
	ExtendedPosix \
	posix \
	LConv

EXT_PKGS = \
	atk \
	gdk-3.0 \
	gee-0.8 \
	gexiv2 \
	gio-unix-2.0 \
	glib-2.0 \
	gmodule-2.0 \
	gstreamer-1.0 \
	gstreamer-base-1.0 \
	gstreamer-pbutils-1.0 \
	gtk+-3.0 \
	gudev-1.0 \
	libexif \
	libgphoto2 \
	json-glib-1.0 \
	libraw \
	libsoup-2.4 \
	libxml-2.0 \
	sqlite3 \
	webkitgtk-3.0
ifdef UNITY_SUPPORT
EXT_PKGS += unity
endif

THUMBNAILER_PKGS = \
    gtk+-3.0 \
    gee-0.8 \
    gstreamer-1.0 \
    gstreamer-base-1.0

DIRECT_LIBS =

EXT_PKG_VERSIONS = \
	gee-0.8 >= 0.8.5 \
	gexiv2 >= 0.4.90 \
	gio-unix-2.0 >= 2.20 \
	glib-2.0 >= $(MIN_GLIB_VERSION) \
	gmodule-2.0 >= 2.24.0 \
	gstreamer-1.0 >= 1.0.0 \
	gstreamer-base-1.0 >= 1.0.0 \
	gstreamer-plugins-base-1.0 >= 1.0.0 \
	gstreamer-pbutils-1.0 >= 1.0.0 \
	gtk+-3.0 >= 3.6.0 \
	gudev-1.0 >= 145 \
	libexif >= 0.6.16 \
	libgphoto2 >= 2.4.2 \
	libraw >= 0.13.2 \
	libsoup-2.4 >= 2.26.0 \
	libxml-2.0 >= 2.6.32 \
	rest-0.7 >= 0.7 \
	sqlite3 >= 3.5.9 \
	webkitgtk-3.0 >= 1.4.0 

DIRECT_LIBS_VERSIONS =

VALA_PKGS = $(EXT_PKGS) $(LOCAL_PKGS)

ifndef BUILD_DIR
BUILD_DIR=src
endif

DESKTOP_APP_SHORT_NAME="Shotwell"
DESKTOP_APP_FULL_NAME="Shotwell Photo Manager"
DESKTOP_APPLICATION_COMMENT="Organize your photos"
DESKTOP_APPLICATION_CLASS="Photo Manager"
DESKTOP_APP_KEYWORDS="album;camera;cameras;crop;edit;enhance;export;gallery;image;images;import;organize;photo;photographs;photos;picture;pictures;photography;print;publish;rotate;share;tags;video;facebook;flickr;picasa;youtube;piwigo;"
DIRECT_EDIT_DESKTOP_APP_SHORT_NAME="Shotwell"
DIRECT_EDIT_DESKTOP_APP_FULL_NAME="Shotwell Photo Viewer"
DIRECT_EDIT_DESKTOP_APPLICATION_CLASS="Photo Viewer"
TEMPORARY_DESKTOP_FILES = misc/shotwell.desktop misc/shotwell-viewer.desktop

# Process the units
UNIT_MKS := $(foreach unit,$(UNITS),src/$(unit)/mk/$(notdir $(unit)).mk)
include $(UNIT_MKS)

UNITIZE_DIR := src/.unitize
UNITIZE_ENTRIES := $(foreach unit,$(APP_UNITS),$(UNITIZE_DIR)/_$(unit)_unitize_entry.vala)
UNITIZE_INITS := $(foreach nm,$(UNIT_NAMESPACES),$(UNITIZE_DIR)/_$(nm)Internals.vala)
UNITIZE_STAMP := $(UNITIZE_DIR)/.unitized

PLUGINS_DIR := plugins
PLUGINS_SO := $(foreach plugin,$(PLUGINS),$(PLUGINS_DIR)/$(plugin)/$(plugin).so)
EXTRA_PLUGINS_SO := $(foreach plugin,$(EXTRA_PLUGINS),$(PLUGINS_DIR)/$(plugin)/$(plugin).so)
PLUGINS_DIST_FILES := `$(MAKE) --directory=plugins --no-print-directory listfiles`

THUMBNAILER_DIR := thumbnailer
THUMBNAILER_BIN := $(THUMBNAILER_DIR)/$(PROGRAM_THUMBNAILER)
EXPANDED_THUMBNAILER_SRC_FILES := $(foreach file, $(THUMBNAILER_SRC_FILES), $(THUMBNAILER_DIR)/$(file))

MIGRATOR_DIR := settings-migrator
MIGRATOR_BIN := $(MIGRATOR_DIR)/$(PROGRAM_MIGRATOR)

EXPANDED_CORE_PO_FILES := $(foreach po,$(CORE_SUPPORTED_LANGUAGES),po/shotwell-core/$(po).po)
EXPANDED_EXTRAS_PO_FILES := $(foreach po,$(EXTRAS_SUPPORTED_LANGUAGES),po/shotwell-extras/$(po).po)

EXPANDED_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src)) \
	$(UNITIZE_INITS) $(UNITIZE_ENTRIES)
EXPANDED_DIST_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src))
EXPANDED_C_FILES := $(foreach file,$(subst src,$(BUILD_DIR),$(EXPANDED_SRC_FILES)),$(file:.vala=.c))
EXPANDED_OBJ_FILES := $(foreach file,$(subst src,$(BUILD_DIR),$(EXPANDED_SRC_FILES)),$(file:.vala=.o))
EXPANDED_SYS_INTEGRATION_FILES := $(foreach file,$(SYS_INTEGRATION_FILES),misc/$(file))
EXPANDED_ICON_FILES := $(foreach file,$(ICON_FILES),icons/$(file))
EXPANDED_VAPI_FILES := $(foreach vapi,$(VAPI_FILES),vapi/$(vapi))
EXPANDED_DEPS_FILES := $(foreach deps,$(DEPS_FILES),vapi/$(deps))
EXPANDED_SRC_HEADER_FILES := $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
EXPANDED_RESOURCE_FILES := $(foreach res,$(RESOURCE_FILES),ui/$(res))
EXPANDED_HELP_FILES := $(foreach file,$(HELP_FILES),help/C/$(file))
EXPANDED_HELP_IMAGES := $(foreach file,$(HELP_IMAGES),help/C/figures/$(file))
VALA_STAMP := $(BUILD_DIR)/.stamp
LANG_STAMP := $(LOCAL_LANG_DIR)/.langstamp
MAKE_FILES := Makefile $(CONFIG_IN) $(UNIT_MKS) unitize.mk units.mk
PC_INPUT := shotwell-plugin-dev-1.0.m4
PC_FILE := $(PC_INPUT:.m4=.pc)

DIST_FILES = Makefile configure chkver $(EXPANDED_DIST_SRC_FILES) $(EXPANDED_VAPI_FILES) \
	$(EXPANDED_DEPS_FILES) $(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) \
	$(EXPANDED_ICON_FILES) $(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_CORE_PO_FILES) \
	$(EXPANDED_EXTRAS_PO_FILES) \
	po/shotwell-core/shotwell.pot po/shotwell-extras/shotwell-extras.pot \
	$(EXPANDED_HELP_FILES) $(EXPANDED_HELP_IMAGES) apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES) \
	vapi/gphoto-2.5/libgphoto2.vapi vapi/gphoto-2.4/libgphoto2.vapi \
	$(EXPANDED_THUMBNAILER_SRC_FILES) $(MIGRATOR_BIN) potgen-shotwell

DIST_TAR = $(PROGRAM)-$(VERSION).tar
DIST_TAR_XZ = $(DIST_TAR).xz
PACKAGE_ORIG_XZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.xz

VALAFLAGS := $(VALAFLAGS) $(VALA_DEFINES) --vapidir=plugins/

VALA_CFLAGS := `pkg-config --cflags $(EXT_PKGS) $(DIRECT_LIBS) gthread-2.0` \
	$(foreach hdir,$(HEADER_DIRS),-I$(hdir)) \
	$(foreach def,$(DEFINES),-D$(def))

VALA_LDFLAGS := `pkg-config --libs $(EXT_PKGS) $(DIRECT_LIBS) gthread-2.0`

# REQUIRED_CFLAGS absolutely get appended to CFLAGS, whatever the
# the value of CFLAGS in the environment
REQUIRED_CFLAGS := -fPIC

# setting CFLAGS in configure.mk overrides build type
ifndef CFLAGS
ifdef BUILD_DEBUG
CFLAGS = -O0 -g -pipe
PLUGIN_CFLAGS = -O0 -g -pipe
else
CFLAGS = -O2 -g -pipe
PLUGIN_CFLAGS = -O2 -g -pipe
endif
endif

CFLAGS += $(PROFILE_FLAGS) $(REQUIRED_CFLAGS)
PLUGIN_CFLAGS += $(PROFILE_FLAGS) $(REQUIRED_CFLAGS)

# Required for gudev-1.0

=== debian/changelog ===
shotwell (0.15.0-0ubuntu1) saucy; urgency=low

  * Update from the rc to the stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Oct 2013 12:42:23 +0200

shotwell (0.15.0~pr3-0ubuntu1) saucy; urgency=low

  * New upstream version
  * debian/libexec.patch: 
    - dropped, upstream supports libexecdir now
  * debian/rules: 
    - set libexec to /usr/lib/shotwell

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Sep 2013 15:13:52 +0200

shotwell (0.15.0~pr1-0ubuntu2) saucy; urgency=low

  * debian/control: Build-Depends on desktop-file-utils

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Sep 2013 19:45:16 +0200

shotwell (0.15.0~pr1-0ubuntu1) saucy; urgency=low

  * New upstream version
  * debian/control: 
    - updated build-depends for the new version
  * debian/patches/document-mode.patch:
    - dropped, the change is in the new version
  * debian/patches/06_uoa.patch:
    - updated for the new version, thanks Alberto Mardegan

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2013 11:34:04 +0200

shotwell (0.14.1-3ubuntu3) saucy; urgency=low

  * Add autopilot autopkgtest to check import from a libgphoto2 camera
    (simulated with umockdev, recorded from a Canon PowerShot SX200).
    debian/tests/import will run under a local session D-BUS and xvfb, but you
    can also run the test interactively with
    "cd debian/tests; autopilot run autopilot_tests".

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Aug 2013 12:21:12 +0200

shotwell (0.14.1-3ubuntu2) saucy; urgency=low

  * Build against libgphoto2-6.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 31 Jul 2013 08:46:32 +0200

shotwell (0.14.1-3ubuntu1) saucy; urgency=low

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in
      + Build-depend on python-scour, libunity-dev, libsignon-glib-dev, and
       libaccounts-glib-dev
      + suggest account plugins
      + Bump breaks/replaces since we didn't take the package split until now
    - debian/rules:
       + dh --with-scour
       + configure --disable-icon-update --unity-support
    - debian/patches/02_desktop_translations.patch:
      + Don't translate the .desktop files, they work with gettext and the
        build system translates them all into English
    - debian/patches/06_uoa.patch:
      + Add Ubuntu Online Accounts support
  * Dropped no longer needed patches:
    - debian/patches/03_appmenu_no_stubs.patch
    - debian/patches/04_no_resize_grip.patch
    - debian/patches/05-gomp-linking.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 12 Jul 2013 12:44:34 -0400

shotwell (0.14.1-3) unstable; urgency=low

  * Team upload.
  * debian/patches/document-mode.patch:
    - Remove reference to document-mode processing APIs (Closes: #710141).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 11 Jul 2013 10:59:32 +0200

shotwell (0.14.1-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * debian/patches/libexec.patch:
    - Do not install files in libexec directory (Closes: #706430).
  * debian/control:
    - Build-depend on valac (>= 0.18.0).
  * debian/shotwell-common.lintian-overrides:
    - Removed, no longer needed.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 12 May 2013 23:22:52 +0200

shotwell (0.14.1-1) experimental; urgency=low

  * New upstream release.
  * Update debian/copyright file.
  * Install shotwell-settings-migrator script in shotwell-common package
    (Closes: #705423).
  * Fix hardening-no-fortify-functions lintian warnings.
  * Fix hardening-no-relro lintian warning.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 28 Apr 2013 15:10:11 +0200

shotwell (0.14.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Fixes strftime strings that generated bogus dates in the
      Catalan translation (Closes: #675102).
    - Fix assertion error on startup (Closes: #683883).
  * debian/control:
    - Bump build-dependencies minimum requirements.
      - valac-0.18 (>= 0.18.0)
      - libgexiv2-dev (>= 0.4.90)
      - libgstreamer1.0-dev (>= 1.0.0)
      - libgstreamer-plugins-base1.0-dev (>= 1.0.0)
    - Drop libunique-3.0-dev and libusb-dev, no longer needed.
  * debian/rules:
    - Explicitly call configure instead of dh_auto_configure.
  * debian/watch:
    - Do not list preview versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 21 Mar 2013 20:14:36 +0100

shotwell (0.13.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Fix crash on invalid piwigo response (Closes: #687930).
  * debian/control:
    - Remove DM-Upload-Allowed field.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 28 Nov 2012 11:26:02 +0100

shotwell (0.13.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #688365).
    - Fix French localization (Closes: #684578, #684579).
  * debian/patches/gettext.patch:
    - Removed, applied upstream.
  * debian/patches/metadata.patch:
    - Removed, applied upstream.
  * debian/patches/openmp.patch:
    - Removed, no longer needed.
  * debian/control:
    - Build-depend on valac-0.18 (>= 0.17.2) and libjson-glib-dev.
    - Mention CR2 format in package description (Closes: #685300).
    - Bump Standards-Version to 3.9.4.
  * debian/watch:
    - Track xz tarballs.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 29 Sep 2012 14:58:49 +0200

=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9),
               m4,
               valac (>= 0.18.0),
               libgee-0.8-dev (>= 0.8.0),
               libglib2.0-dev (>= 2.30.0),
               libgtk-3-dev (>= 3.6.0),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.4.90),
               libgphoto2-6-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libwebkitgtk-3.0-dev (>= 1.4.0),
               libgudev-1.0-dev (>= 145),
               libraw-dev (>= 0.14),
               libjson-glib-dev,
               libgstreamer1.0-dev (>= 1.0.0),
               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
               librest-dev,
               libaccounts-glib-dev,
               libsignon-glib-dev,
               libunity-dev,
               python-scour,
               desktop-file-utils,
Standards-Version: 3.9.4
Homepage: http://yorba.org/shotwell/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
XS-Testsuite: autopkgtest

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell-common (= ${source:Version}),
         librsvg2-common,
         dbus-x11
Suggests: account-plugin-facebook, account-plugin-google, account-plugin-flickr
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.

Package: shotwell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: shotwell
Breaks: shotwell (<< 0.14.1-1)
Replaces: shotwell (<< 0.14.1-1)
Description: digital photo organizer - common files
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.
 .
 This package provides images and documentation for Shotwell

Package: shotwell-dbg
Priority: extra
Section: debug
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell (= ${binary:Version})
Description: digital photo organizer - debugging symbols
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.
 .
 This package contains the debugging symbols for Shotwell.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --dbg-package=shotwell-dbg --with-scour

override_dh_auto_configure:
	./configure --prefix=/usr --libexec=/usr/lib/shotwell --disable-schemas-compile  --disable-icon-update --unity-support

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: import
Depends: shotwell,
 xvfb,
 dbus-x11,
 umockdev,
 autopilot-desktop,
 libautopilot-gtk

## shotwell 0.18.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
 PROGRAM_MIGRATOR = shotwell-settings-migrator
 
-VERSION = 0.15.0
+VERSION = 0.18.0
 GITVER := $(shell git log -n 1 2>/dev/null | head -n 1 | awk '{print $$2}')
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
@@ -10,7 +10,7 @@
 ifndef VALAC
 VALAC := $(shell which valac)
 else
-VALAC := $(shell which $VALAC)
+VALAC := $(shell which $(VALAC))
 endif
 
 VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
@@ -30,14 +30,7 @@
 LIBEXECDIR=$(PREFIX)/libexec/shotwell
 endif
 
-CORE_SUPPORTED_LANGUAGES= ia hi te fr de it es pl et sv sk lv pt bg bn nl da zh_CN \
-    el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR \
-    eu he mk ta vi or km af as gu kn ml mr af_ZA bn_IN id_ID ky nn_NO ta_IN te_IN tr_TR
-
-EXTRAS_SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk \
-    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta eo or hi \
-    as kn ml mr bn_IN gu id_ID nn_NO tr_TR vi
-    
+CORE_SUPPORTED_LANGUAGES=$(shell cat po/LINGUAS)
 
 LOCAL_LANG_DIR=locale-langpack
 SYSTEM_LANG_DIR := $(DESTDIR)$(PREFIX)/share/locale
@@ -238,53 +231,6 @@
 	filter-videos.png \
 	filter-flagged.png
 
-HELP_FILES = \
-	edit-adjustments.page \
-	edit-crop.page \
-	edit-enhance.page \
-	edit-external.page \
-	edit-nondestructive.page \
-	edit-redeye.page \
-	edit-rotate.page \
-	edit-straighten.page \
-	edit-time-date.page \
-	edit-undo.page \
-	formats.page \
-	import-camera.page \
-	import-file.page \
-	import-f-spot.page \
-	import-memorycard.page \
-	index.page \
-	organize-event.page \
-	organize-flag.page \
-	organize-rating.page \
-	organize-remove.page \
-	organize-search.page \
-	organize-tag.page \
-	organize-title.page \
-	other-files.page \
-	other-missing.page \
-	other-multiple.page \
-	other-plugins.page \
-	raw.page \
-	running.page \
-	share-background.page \
-	share-export.page \
-	share-print.page \
-	share-send.page \
-	share-slideshow.page \
-	share-upload.page \
-	view-displaying.page \
-	view-information.page \
-	view-sidebar.page
-
-HELP_IMAGES = \
-	crop_thirds.jpg \
-	editing_overview.png \
-	edit_toolbar.png \
-	shotwell_logo.png \
-	trash_process.png
-
 VAPI_DIRS = \
 	./vapi
 
@@ -355,7 +301,8 @@
 	libxml-2.0 >= 2.6.32 \
 	rest-0.7 >= 0.7 \
 	sqlite3 >= 3.5.9 \
-	webkitgtk-3.0 >= 1.4.0 
+	webkitgtk-3.0 >= 1.4.0 \
+	gnome-doc-utils
 
 DIRECT_LIBS_VERSIONS =
 
@@ -375,6 +322,9 @@
 DIRECT_EDIT_DESKTOP_APPLICATION_CLASS="Photo Viewer"
 TEMPORARY_DESKTOP_FILES = misc/shotwell.desktop misc/shotwell-viewer.desktop
 
+# for help page and translation .po files
+include help/Makefile.am
+
 # Process the units
 UNIT_MKS := $(foreach unit,$(UNITS),src/$(unit)/mk/$(notdir $(unit)).mk)
 include $(UNIT_MKS)
@@ -396,8 +346,7 @@
 MIGRATOR_DIR := settings-migrator
 MIGRATOR_BIN := $(MIGRATOR_DIR)/$(PROGRAM_MIGRATOR)
 
-EXPANDED_CORE_PO_FILES := $(foreach po,$(CORE_SUPPORTED_LANGUAGES),po/shotwell-core/$(po).po)
-EXPANDED_EXTRAS_PO_FILES := $(foreach po,$(EXTRAS_SUPPORTED_LANGUAGES),po/shotwell-extras/$(po).po)
+EXPANDED_CORE_PO_FILES := $(foreach po,$(CORE_SUPPORTED_LANGUAGES),po/$(po).po)
 
 EXPANDED_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src)) \
 	$(UNITIZE_INITS) $(UNITIZE_ENTRIES)
@@ -410,10 +359,15 @@
 EXPANDED_DEPS_FILES := $(foreach deps,$(DEPS_FILES),vapi/$(deps))
 EXPANDED_SRC_HEADER_FILES := $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
 EXPANDED_RESOURCE_FILES := $(foreach res,$(RESOURCE_FILES),ui/$(res))
-EXPANDED_HELP_FILES := $(foreach file,$(HELP_FILES),help/C/$(file))
-EXPANDED_HELP_IMAGES := $(foreach file,$(HELP_IMAGES),help/C/figures/$(file))
+EXPANDED_DOC_IMAGES := $(foreach file,$(DOC_IMAGES),help/C/figures/$(file))
+EXPANDED_DOC_PAGES := $(foreach page,$(DOC_PAGES),help/C/$(page))
+EXPANDED_DOC_PO := $(foreach lang,$(DOC_LINGUAS),help/$(lang)/$(lang).po)
+EXPANDED_XLAT_DOC_PAGES := \
+	$(foreach lang,$(DOC_LINGUAS),\
+		$(foreach page,$(DOC_PAGES),help/$(lang)/$(page)))
 VALA_STAMP := $(BUILD_DIR)/.stamp
 LANG_STAMP := $(LOCAL_LANG_DIR)/.langstamp
+DOC_LANG_STAMP := help/.langstamp
 MAKE_FILES := Makefile $(CONFIG_IN) $(UNIT_MKS) unitize.mk units.mk
 PC_INPUT := shotwell-plugin-dev-1.0.m4
 PC_FILE := $(PC_INPUT:.m4=.pc)
@@ -421,12 +375,12 @@
 DIST_FILES = Makefile configure chkver $(EXPANDED_DIST_SRC_FILES) $(EXPANDED_VAPI_FILES) \
 	$(EXPANDED_DEPS_FILES) $(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) \
 	$(EXPANDED_ICON_FILES) $(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_CORE_PO_FILES) \
-	$(EXPANDED_EXTRAS_PO_FILES) \
-	po/shotwell-core/shotwell.pot po/shotwell-extras/shotwell-extras.pot \
-	$(EXPANDED_HELP_FILES) $(EXPANDED_HELP_IMAGES) apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
+	po/LINGUAS po/POTFILES.in po/POTFILES.skip \
+	$(EXPANDED_DOC_PAGES) $(EXPANDED_DOC_IMAGES) $(EXPANDED_DOC_PO) help/Makefile.am \
+	apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
 	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES) \
 	vapi/gphoto-2.5/libgphoto2.vapi vapi/gphoto-2.4/libgphoto2.vapi \
-	$(EXPANDED_THUMBNAILER_SRC_FILES) $(MIGRATOR_BIN) potgen-shotwell
+	$(EXPANDED_THUMBNAILER_SRC_FILES) $(MIGRATOR_BIN)
 
 DIST_TAR = $(PROGRAM)-$(VERSION).tar
 DIST_TAR_XZ = $(DIST_TAR).xz
@@ -459,3 +413,55 @@
 PLUGIN_CFLAGS += $(PROFILE_FLAGS) $(REQUIRED_CFLAGS)
 
 # Required for gudev-1.0
+CFLAGS += -DG_UDEV_API_IS_SUBJECT_TO_CHANGE
+
+all: pkgcheck valacheck desktop
+
+ifdef ENABLE_BUILD_FOR_GLADE
+all: $(PLUGINS_DIR) lib$(PROGRAM).so $(PROGRAM) $(PC_FILE)
+else
+all: $(PLUGINS_DIR) $(PROGRAM) $(PC_FILE)
+endif
+
+
+include src/plugins/mk/interfaces.mk
+
+$(LANG_STAMP): $(EXPANDED_CORE_PO_FILES)
+	@$(foreach po,$(CORE_SUPPORTED_LANGUAGES),`mkdir -p $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES ; \
+		msgfmt -c -o $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES/shotwell.mo po/$(po).po`)
+	@touch $(LANG_STAMP)
+
+clean:
+	rm -f $(EXPANDED_C_FILES)
+	rm -f $(EXPANDED_OBJ_FILES)
+	rm -f $(VALA_STAMP)
+	rm -rf $(PROGRAM)-$(VERSION)
+	rm -f $(PROGRAM)
+	rm -f $(THUMBNAILER_DIR)/$(PROGRAM_THUMBNAILER)
+	rm -rf $(LOCAL_LANG_DIR)
+	rm -f $(LANG_STAMP)
+	rm -f $(DOC_LANG_STAMP)
+	rm -f $(EXPANDED_XLAT_DOC_PAGES)
+	rm -f $(TEMPORARY_DESKTOP_FILES)
+	rm -f lib$(PROGRAM).so
+	rm -rf $(UNITIZE_DIR)
+	rm -f $(PLUGIN_VAPI)
+	rm -f $(PLUGIN_HEADER)
+	rm -f $(PLUGIN_DEPS)
+	rm -f $(PLUGINS_SO)
+	rm -f $(EXTRA_PLUGINS_SO)
+	@$(MAKE) --directory=plugins clean
+	rm -f $(PC_FILE)
+
+cleantemps:
+	rm -f $(EXPANDED_C_FILES)
+	rm -f $(EXPANDED_OBJ_FILES)
+	rm -f $(VALA_STAMP)
+	rm -f $(LANG_STAMP)
+	rm -f $(DOC_LANG_STAMP)
+	rm -f $(TEMPORARY_DESKTOP_FILES)
+	@$(MAKE) --directory=plugins cleantemps
+	rm -f misc/gschemas.compiled
+
+package:
+	$(MAKE) dist

=== plugins/Makefile ===

include plugins.mk

DIST_FILES := \
	Makefile \
	Makefile.plugin.mk \
	plugins.mk

.PHONY: all
all: $(ALL_PLUGINS)

.PHONY: $(ALL_PLUGINS)
$(ALL_PLUGINS):
	@$(MAKE) --directory=$@ PLUGINS_VERSION="$(PLUGINS_VERSION)" USER_VALAFLAGS="$(USER_VALAFLAGS)" \
		PLUGIN_CFLAGS="$(PLUGIN_CFLAGS)"

.PHONY: clean
clean:
	$(foreach plugin,$(ALL_PLUGINS),$(MAKE) --directory=$(plugin) clean;)

.PHONY: cleantemps
cleantemps:
	$(foreach plugin,$(ALL_PLUGINS),$(MAKE) --directory=$(plugin) cleantemps;)

.PHONY: distclean
distclean:
	$(foreach plugin,$(ALL_PLUGINS),$(MAKE) --directory=$(plugin) distclean;)

.PHONY: listfiles
listfiles:
	@printf "$(foreach file,$(DIST_FILES), plugins/$(file)) "
	@$(foreach plugin,$(ALL_PLUGINS),$(MAKE) --directory=$(plugin) --no-print-directory listfiles;)

=== plugins/shotwell-publishing-extras/Makefile ===

PLUGIN := shotwell-publishing-extras

PLUGIN_PKGS := \
	gtk+-3.0 \
	libsoup-2.4 \
	libxml-2.0 \
	webkitgtk-3.0 \
	gee-0.8 \
	rest-0.7 \
	json-glib-1.0

SRC_FILES := \
	shotwell-publishing-extras.vala \
	YandexPublishing.vala \
	TumblrPublishing.vala \
	../../src/util/string.vala \
	../common/RESTSupport.vala

RC_FILES := \
	yandex_publish_model.glade \
	tumblr.png \
	tumblr_authentication_pane.glade \
	tumblr_publishing_options_pane.glade

include ../Makefile.plugin.mk

=== plugins/shotwell-publishing/Makefile ===

PLUGIN := shotwell-publishing

PLUGIN_PKGS := \
	gtk+-3.0 \
	libsoup-2.4 \
	libxml-2.0 \
	webkitgtk-3.0 \
	gexiv2 \
	rest-0.7 \
	gee-0.8 \
	json-glib-1.0

SRC_FILES := \
	shotwell-publishing.vala \
	FacebookPublishing.vala \
	PicasaPublishing.vala \
	FlickrPublishing.vala \
	YouTubePublishing.vala \
	PiwigoPublishing.vala \
	../../src/util/string.vala \
	../common/RESTSupport.vala

RC_FILES := \
	facebook.png \
	facebook_publishing_options_pane.glade \
	flickr.png \
	flickr_publishing_options_pane.glade \
	flickr_pin_entry_pane.glade \
	picasa.png \
	picasa_publishing_options_pane.glade \
	piwigo.png \
	piwigo_authentication_pane.glade \
	piwigo_publishing_options_pane.glade \
	youtube.png \
	youtube_publishing_options_pane.glade

include ../Makefile.plugin.mk

=== plugins/shotwell-transitions/Makefile ===

PLUGIN := shotwell-transitions

SRC_FILES := \
	shotwell-transitions.vala \
	FadeEffect.vala \
	SlideEffect.vala \
	CrumbleEffect.vala \
	BlindsEffect.vala \
	CircleEffect.vala \
	CirclesEffect.vala \
	SquaresEffect.vala \
	StripesEffect.vala \
	ChessEffect.vala \
	ClockEffect.vala

RC_FILES := \
	slideshow-plugin.png

include ../Makefile.plugin.mk

=== debian/changelog ===
shotwell (0.18.0-0ubuntu4) trusty; urgency=medium

  * Drop unity-control-center-signon from Recommends to Suggests, so we
    don't pull in that whole stack on non-unity desktops (LP: #1301712)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 02 Apr 2014 21:49:18 -0600

shotwell (0.18.0-0ubuntu3) trusty; urgency=medium

  * debian/control: Recommends unity-control-center-signon
  * debian/patches/06_uoa.patch: use the correct command for the new naming

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 31 Mar 2014 17:35:39 +0200

shotwell (0.18.0-0ubuntu2) trusty; urgency=medium

  * debian/control: build-depends on gnome-doc-utils

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Mar 2014 18:10:52 +0100

shotwell (0.18.0-0ubuntu1) trusty; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Mar 2014 18:03:41 +0100

shotwell (0.17.2-0ubuntu1) trusty; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Mar 2014 23:45:23 +0100

shotwell (0.17.1-0ubuntu2) trusty; urgency=medium

  * debian/control: build-depends on intltool

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2014 16:58:18 +0100

shotwell (0.17.1-0ubuntu1) trusty; urgency=medium

  * New upstream version
  * debian/patches/git_revert_keyword.patch: 
    - drop, including in the update
  * debian/patches/06_uoa.patch:
    - updated the translations list
  * debian/rules:
    - run intltool-update on build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2014 16:42:32 +0100

shotwell (0.17.0-0ubuntu1) trusty; urgency=medium

  * New upstream version
  * debian/patches/format_string.patch: 
    - drop, included in the new version
  * debian/patches/git_revert_keyword.patch:
    - backport commit to fix hang on start issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Feb 2014 10:10:21 +0000

shotwell (0.15.1-0ubuntu3) trusty; urgency=medium

  * Build against libgphoto2-dev instead of libgphoto2-6-dev. (Reverts Ubuntu
    specific delta)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Feb 2014 09:23:22 +0100

shotwell (0.15.1-0ubuntu2) trusty; urgency=medium

  * Refresh debian/tests/autopilot_tests/powershot-import.ioctl for
    libgphoto2 2.5.3.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Jan 2014 10:41:40 +0100

shotwell (0.15.1-0ubuntu1) trusty; urgency=low

  * New upstream version:
    - should fix assertions in the database code (lp: #1202049)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 Nov 2013 11:10:21 +0100

shotwell (0.15.0-0ubuntu2) trusty; urgency=low

    dbus-launch invocation.
  * autopilot_tests/test_gphoto_import.py: Port to Autopilot 1.4 API, bump
    test dependency accordingly.
  * debian/tests/import: Greatly simplify by using the new
    autopilot-run-sandbox script.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 06 Nov 2013 16:13:14 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libexif-dev (>= 0.6.16),
                libsqlite3-dev (>= 3.5.9),
                libgexiv2-dev (>= 0.4.90),
-               libgphoto2-6-dev (>= 2.4.2),
+               libgphoto2-dev (>= 2.4.2),
                libsoup2.4-dev (>= 2.26.0),
                libxml2 (>= 2.6.32),
                libwebkitgtk-3.0-dev (>= 1.4.0),
@@ -28,6 +28,8 @@
                libunity-dev,
                python-scour,
                desktop-file-utils,
+               intltool,
+               gnome-doc-utils,
 Standards-Version: 3.9.4
 Homepage: http://yorba.org/shotwell/
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
@@ -40,7 +42,7 @@
          shotwell-common (= ${source:Version}),
          librsvg2-common,
          dbus-x11
-Suggests: account-plugin-facebook, account-plugin-google, account-plugin-flickr
+Suggests: account-plugin-facebook, account-plugin-google, account-plugin-flickr, unity-control-center-signon
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop
  environment. It allows you to import photos from disk or camera, organize

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_install:
+	cd po; intltool-update --pot --verbose -g=shotwell
+	dh_install --fail-missing

=== debian/tests/control ===
Tests: import
Depends: shotwell,
 xvfb,
 dbus-x11,
 umockdev,
 autopilot-desktop (>= 1.4~),
 libautopilot-gtk

## shotwell 0.20.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
 PROGRAM_MIGRATOR = shotwell-settings-migrator
 
-VERSION = 0.18.0
+VERSION = 0.20.1
 GITVER := $(shell git log -n 1 2>/dev/null | head -n 1 | awk '{print $$2}')
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1

=== debian/changelog ===
shotwell (0.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Add sharedobject-in-library-directory-missing-soname to
    lintian-overrides.
  * debian/patch/hardening.patch:
    - Add removal of --fatal-warnings at plugins/Makefile.plugins.mk
      to prevent build errors on armel and mips.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 09 Oct 2014 11:57:41 +0200

shotwell (0.20.0-1) unstable; urgency=medium

  * New upstream release (Closes: #762357).
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Change Vcs-Browser to cgit.
  * debian/copyright:
    - Remove deleted file icons/hidden.svg.
    - Add missed file icons/import-all.png.
    - Remove whitspaces at EOL.
  * debian/rules:
    - Enable hardening=+all because files can open over network.
    - Remove useless variable assignments.
    - Add --debug to configure.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 23 Sep 2014 18:56:52 +0200

shotwell (0.18.1-2) unstable; urgency=medium

  * New Maintainer (Closes: #755416).
  * debian/copyright:
    - Rewrite into machine-readable format.
    - Add myself to the list of authors for debian/*.
  * debian/control:
    - Set myself as maintainer.
    - For previously not existing Vcs
      + Create a new git repository on alioth.
      + Add the Fields Vcs-Browser and Vcs-Git.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 30 Jul 2014 07:27:30 +0200

shotwell (0.18.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Set Homepage field to the new home page.
  * debian/control:
    - Set download reference to the new site.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 20 Jul 2014 17:15:28 +0200

shotwell (0.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/patches/hardening.patch:
    - Refresh for new upstream release.
  * debian/patches/thumbnailer_path.patch:
    - Removed, not needed.
  * debian/control:
    - Re-add myself as Uploader.
    - Add gnome-doc-utils to Build-Depends.
    - Replace libgphoto2-2-dev with libgphoto2-dev (Closes: #739355).
  * debian/manpages:
    - Do not install shotwell-video-thumbnailer anymore.
  * debian/shotwell-video-thumbnailer.1:
    - Removed, no longer needed.
  * debian/rules:
    - Explicitly set libexecdir to /usr/lib (Closes: #742083).
  * debian/watch:
    - Point to the GNOME FTP server.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 27 Mar 2014 14:02:25 +0100

shotwell (0.17.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/patches/format_string.patch:
    - Removed, applied upstream.
  * debian/patches/hardening.patch:
    - Refresh for new upstream release.
  * debian/patches/libexec.patch
    - Refresh for new upstream release.
  * debian/patches/thumbnailer_path.patch:
    - Refresh for new upstream release.
  * debian/shotwell.lintian-overrides:
    - Remove useless library-not-linked-against-libc tag.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 16 Feb 2014 14:10:50 +0100

shotwell (0.15.0-2) unstable; urgency=medium

  * Team upload to unstable.
  * debian/control:
    - Bump Standards-Version to 3.9.5.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 16 Feb 2014 14:02:15 +0100

shotwell (0.15.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #726594).
    - Fix FTBFS with vala 0.22 (Closes: #726510).
  * debian/patches/document-mode.patch:
    - Removed, applied upstream.
  * debian/patches/hardening.patch:
    - Refresh for new upstream release.
  * debian/patches/libexec.patch
    - Refresh for new upstream release.
  * debian/patches/thumbnailer_path.patch:
    - Install shotwell-video-thumbnailer under /usr/bin.
  * debian/control:
    - Build-depend against desktop-file-utils.
    - Refresh build-dependency miminum versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 17 Oct 2013 22:04:11 +0200

=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 debhelper (>= 9),
 desktop-file-utils,
 gnome-doc-utils,
 libexif-dev (>= 0.6.16),
 libgee-0.8-dev (>= 0.8.5),
 libgexiv2-dev (>= 0.4.90),
 libglib2.0-dev (>= 2.30.0),
 libgphoto2-dev (>= 2.4.2),
 libgstreamer-plugins-base1.0-dev (>= 1.0.0),
 libgstreamer1.0-dev (>= 1.0.0),
 libgtk-3-dev (>= 3.6.0),
 libgudev-1.0-dev (>= 145),
 libjson-glib-dev,
 libraw-dev (>= 0.14),
 librest-dev (>= 0.7),
 libsoup2.4-dev (>= 2.26.0),
 libsqlite3-dev (>= 3.5.9),
 libwebkitgtk-3.0-dev (>= 1.4.0),
 libxml2 (>= 2.6.32),
 m4,
 valac (>= 0.22.0)
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Shotwell
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/shotwell.git/
Vcs-Git: git://anonscm.debian.org/collab-maint/shotwell.git

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell-common (= ${source:Version}),
         librsvg2-common,
         dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.

Package: shotwell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: shotwell
Breaks: shotwell (<< 0.12.3-1)
Replaces: shotwell (<< 0.12.3-1)
Description: digital photo organizer - common files
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.
 .
 This package provides images and documentation for Shotwell

Package: shotwell-dbg
Priority: extra
Section: debug
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell (= ${binary:Version})
Description: digital photo organizer - debugging symbols
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.
 .
 This package contains the debugging symbols for Shotwell.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ 

override_dh_auto_configure:
	./configure --debug --prefix=/usr --libexec=/usr/lib --disable-schemas-compile

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=shotwell-dbg
